.mdq-app {

    .switcher-wrapper {
        &::before {
            content: ' ';
            .absolute(initial, initial, initial, -56px);
            pointer-events: none;
            height: 100%;
            width: 56px;
            opacity: 0.4;
            background: linear-gradient(270deg,
                    @mdqPink 0%,
                    rgba(234, 213, 211, 0) 100%);
        }
    }

    .switcher {
        .switch-item {
            border-bottom: 2px solid @bodyBgLightColor;

            &.active,
            &:hover {
                border-bottom-color: transparent;
            }

            &.active {
                background-color: @mdqRedDark;
            }
        }
    }

    .map-tools {
        .switch-item {
            border-bottom: 2px solid rgba(255, 255, 255, 0.2);

            &:last-child {
                border-bottom: 0px;
            }

            &:hover {
                background-color: @mdqRedHover;
            }
        }
    }

    .sidebar-right {
        background-color: @bodyBgLightColor;
        padding-right: @margin;
        padding-bottom: @margin;
        border: @margin * 2 solid @bodyBgLightColor;
        border-right: @margin solid @bodyBgLightColor;
        border-bottom: 0px;

        &:after {
            content: ' ';
            position: fixed;
            bottom: 0;
            pointer-events: none;
            height: 66px;
            width: 100%;
            background: linear-gradient(180deg,
                    rgba(252, 241, 240, 0) 0%,
                    #fcf1f0 100%);
        }

        h1 {
            padding-bottom: 25px;
            border-bottom: 1px solid @mdqPink;
            margin-bottom: @margin;
        }

        h2 {
            margin-bottom: @margin;
        }

        h3 {
            margin-bottom: @margin / 2;
        }

        .tool {
            background-color: @bodyBgColor;
            padding: @margin;
            border-radius: @radius;
        }
    }

    [data-tooltip]::after {
        font-size: 1rem;
    }
}

.mdq-app {

    .styles-block,
    .layers-block,
    .plot-block,
    .sidebar-main .tool {
        background-color: @bodyBgColor;
        border-radius: @radius;
        box-shadow: 0 10px 20px 0 rgba(234, 213, 211, 0.4);
        padding: @margin;
        margin-bottom: @margin;
    }
}

.mdq-app .map-wrapper {
    background: initial;
}